Package org.apache.sling.rewriter

## Interface Serializer

All Superinterfaces:
  `ContentHandler`

All Known Implementing Classes:
  `Html5Serializer`, `HtmlSerializerFactory.HTMLSerializer`, `TraxSerializer`, `XHtmlSerializerFactory.XHTMLSerializer`, `XMLSerializerFactory.XMLSerializer`

    public interface Serializer
    extends ContentHandler

The `Serializer` marks the end of the pipeline.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Dispose the serializer.
`void` `init​(ProcessingContext context, ProcessingComponentConfiguration config)` Initialize this component.

### Methods inherited from interface org.xml.sax.ContentHandler

`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

### Method Detail

#### init

    void init​(ProcessingContext context,
              ProcessingComponentConfiguration config)
       throws IOException

Initialize this component.

Parameters:
  `context` - The invocation context.
  `config` - The configuration for this component.
Throws:
  `IOException` - in case of problems

#### dispose

    void dispose()

Dispose the serializer. This method is always invoked by the rewriter in order to allow the serializer to release any resources etc. After this method has been called the instance is considered unusable.